

<?php
//<!-- begin of generated class -->
/*
*
* -------------------------------------------------------
* CLASSNAME:        tbl_contact
* GENERATION DATE:  12.01.2016
* CLASS FILE:       G:\wamp\www\match_schedular\admin\class_generator/generated_classes/class.tbl_contact.php
* FOR MYSQL TABLE:  tbl_contact
* FOR MYSQL DB:     svppl
* -------------------------------------------------------
* CODE GENERATED BY:
* MY PHP-MYSQL-CLASS GENERATOR
* from: >> www.voegeli.li >> (download for free!)
* -------------------------------------------------------
*
*/

include_once(MODEL_DIR_PATH."class.database.php");

// **********************
// CLASS DECLARATION
// **********************

class tbl_contact
{ // class : begin


// **********************
// ATTRIBUTE DECLARATION
// **********************


var $contact_id;   // (normal Attribute)
var $contact_name;   // (normal Attribute)
var $contact_no;   // (normal Attribute)
var $contact_email;   // (normal Attribute)
var $contact_address;   // (normal Attribute)
var $contact_message;   // (normal Attribute)
var $is_deleted;   // (normal Attribute)
var $is_view;   // (normal Attribute)
var $created_date;   // (normal Attribute)

var $database; // Instance of class database


// **********************
// CONSTRUCTOR METHOD
// **********************

	function tbl_contact()
	{
	
	$this->database = new Database();
	
	}


	// **********************
	// GETTER METHODS
	// **********************
	
	
	function getcontact_id()
	{
	return $this->contact_id;
	}
	
	function getcontact_name()
	{
	return $this->contact_name;
	}
	function getcontact_no()
	{
	return $this->contact_no;
	}
	function getcontact_email()
	{
	return $this->contact_email;
	}
	function getcontact_address()
	{
	return $this->contact_address;
	}
	function getcontact_message()
	{
	return $this->contact_message;
	}
	function getis_deleted()
	{
	return $this->is_deleted;
	}
	function getis_view()
	{
	return $this->is_view;
	}
	function getcreated_date()
	{
	return $this->created_date;
	}
	
// **********************
// SETTER METHODS
// **********************


	function setcontact_id($val)
	{
	$this->contact_id =  $val;
	}
	
	function setcontact_name($val)
	{
	$this->contact_name =  $val;
	}
	
	function setcontact_no($val)
	{
	$this->contact_no =  $val;
	}
	
	function setcontact_email($val)
	{
	$this->contact_email =  $val;
	}
	
	function setcontact_address($val)
	{
	$this->contact_address =  $val;
	}
	
	function setcontact_message($val)
	{
	$this->contact_message =  $val;
	}
	
	function setid_deleted($val)
	{
	$this->is_deleted =  $val;
	}
	
	function setis_view($val)
	{
	$this->is_view =  $val;
	}
	
	function setcreated_date($val)
	{
	$this->created_date =  $val;
	}
	
	// **********************
	// SELECT METHOD / LOAD
	// **********************
	
	function select($contact_id)
	{
		$this->update_view($contact_id);
	
		$sql =  "SELECT * FROM tbl_contact WHERE  contact_id= $contact_id;";
		$result =  $this->database->query($sql);
		$result = $this->database->result;
		$row = mysqli_fetch_object($result);
		
		
		$this->contact_id = $row->contact_id;
		
		$this->contact_name = $row->contact_name;
		
		$this->contact_no = $row->contact_no;
		
		$this->contact_email = $row->contact_email;
		
		$this->contact_address = $row->contact_address;
		
		$this->contact_message = $row->contact_message;
		
		$this->is_deleted = $row->is_deleted;
		
		$this->created_date = $row->created_date;
		
		
	
	}

	// **********************
	// DELETE
	// **********************
	
	function delete($contact_id)
	{
	$sql = "DELETE FROM tbl_contact WHERE  contact_id= $contact_id";
	$result = $this->database->query($sql);
	
	}

	// **********************
	// INSERT
	// **********************
	
	function insert()
	{
	
	 $sql = "INSERT INTO tbl_contact ( contact_id,contact_name,contact_no,contact_email,contact_address,contact_message,is_deleted,created_date) VALUES ( '$this->contact_id','$this->contact_name','$this->contact_no','$this->contact_email','$this->contact_address','$this->contact_message','$this->is_deleted','$this->created_date' )";
	$result = $this->database->query($sql);
	return mysqli_insert_id($this->database->link);
	
	
	}

	// **********************
	// UPDATE
	// **********************
	
	function update($contact_id)
	{
	
	
	
	$sql = " UPDATE tbl_contact SET  contact_name = '$this->contact_name',contact_no = '$this->contact_no',contact_email = '$this->contact_email',contact_address = '$this->contact_address',contact_message = '$this->contact_message' WHERE  contact_id= $contact_id ";
	
	$result = $this->database->query($sql);
	
	
	
	}

	
	
	// **********************
	// UPDATE is_view
	// **********************
	
	function update_view($contact_id)
	{
	$sql = " UPDATE tbl_contact SET  is_view = '1' WHERE  contact_id= $contact_id ";
	$result = $this->database->query($sql);
	}
	
	
	
	//**********************
	// SELECT All Contact List
	//**********************
	
	function select_contact_list($start=null,$per_page=null)
    {
	 if($start!=null || $per_page!=null)
            $limit="limit $start,$per_page";
            else
            $limit=null;

	
		try
		{
			 $sql =  "SELECT * FROM tbl_contact WHERE `is_deleted`='0' ORDER BY contact_id DESC $limit";

			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			if((!$result) || (mysqli_num_rows($result) == 0))
			{
				return array();
			}
			else
			{
			
				for($count = 0; $row = mysqli_fetch_object($result); $count ++)
				{
				  $arr[$count] = new tbl_contact();

				  $arr[$count]->setcontact_id($row->contact_id);
				  $arr[$count]->setcontact_name($row->contact_name);
				  $arr[$count]->setcontact_no($row->contact_no);
				  $arr[$count]->setcontact_email($row->contact_email);
				  $arr[$count]->setcontact_address($row->contact_address);
				  $arr[$count]->setcontact_message($row->contact_message);
				  $arr[$count]->setis_view($row->is_view);
				  $arr[$count]->setcreated_date($row->created_date);
				  
				}
			
				return $arr;
			}
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}

	
	
	//**********************
	// SELECT All Unred Contact List
	//**********************
	
	function select_unread_contact_list($start=null,$per_page=null)
    {
	 if($start!=null || $per_page!=null)
            $limit="limit $start,$per_page";
            else
            $limit=null;

	
		try
		{
			 $sql =  "SELECT * FROM tbl_contact WHERE `is_deleted`='0' AND `is_view`='0' ORDER BY contact_id DESC $limit";

			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			if((!$result) || (mysqli_num_rows($result) == 0))
			{
				return array();
			}
			else
			{
			
				for($count = 0; $row = mysqli_fetch_object($result); $count ++)
				{
				  $arr[$count] = new tbl_contact();

				  $arr[$count]->setcontact_id($row->contact_id);
				  $arr[$count]->setcontact_name($row->contact_name);
				  $arr[$count]->setcontact_no($row->contact_no);
				  $arr[$count]->setcontact_email($row->contact_email);
				  $arr[$count]->setcontact_address($row->contact_address);
				  $arr[$count]->setcontact_message($row->contact_message);
				  $arr[$count]->setis_view($row->is_view);
				  $arr[$count]->setcreated_date($row->created_date);
				  
				}
			
				return $arr;
			}
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}

	
	//**********************
	// Count Contact List
	//**********************
	
	function CountContacts()
	{
	
		try
		{
			 $sql =  "SELECT * FROM tbl_contact WHERE `is_deleted`='0' ORDER BY contact_name ASC";

			$result =  $this->database->query($sql);
			$result = $this->database->result;
			
			return mysqli_num_rows($result);
		}
		catch(Exception $e)
		{
			throw $e;
		}
	}



} 
?>
